#include <stdio.h>
#include <stdlib.h>

int main(){
    int x,y,a,b;
    scanf("%i %i %i %i", &a, &b, &x, &y);
    if(x==a && y==b){
        printf("nijedan");
    }
    else{
        if(x<a && y<b){
            printf("?");
        }
        else{
            if(x==a && y<b){
                printf("drugi");
            }
            else{
                if(x<a && y==b){
                    printf("prvi");
                }
            }
        }
    }
    return 0;
}